Package org.eigenbase.xom

# Class MetaDef

java.lang.Object
org.eigenbase.xom.MetaDef

public class MetaDef extends Object
This model is the XOM Meta Model. It is the specification of the model used to define new XML-based models. It is also an instance of itself.

This class was generated from XOM model 'meta'

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MetaDef.Any`
The Any content is a special marker which allows an Element to contain any type of data.
`static class`
`MetaDef.Array`
An Array is a set of multiple instances of Elements.
`static class`
`MetaDef.Attribute`
The Attribute entity appears within any Element definition.
`static class`
`MetaDef.CData`
The CData content is a special marker which allows an Element to contain a single CDATA section as its only content, yet still have attributes.
`static class`
`MetaDef.Class`
A Class Definition defines a class of entities.
`static interface`
`MetaDef.Content`
The Content class contains all entities which represent types of content which may appear within an Element.
`static interface`
`MetaDef.Definition`
The Definition class represents a generic type of element definition.
`static class`
`MetaDef.Element`
An Element Definition defines a basic entity of the meta model.
`static interface`
`MetaDef.FullDefinition`
The FullDefinition class represents a fully-specified definition that may include content.
`static class`
`MetaDef.Import`
An Import as a special type of element that represents another element stored in an external model.
`static class`
`MetaDef.Model`
Model is the top-level element for a model description.
`static class`
`MetaDef.Object`
An Object is a single instance of an Element type.
`static class`
`MetaDef.Plugin`
A Plugin in a special type of element whose content may be derived from a different model.
`static class`
`MetaDef.StringElement`
A StringElement is a simple type of element which has no attributes and whose content is a single String (usually represented as a CDATA section).

## Field Summary

Fields
Modifier and Type
Field
Description
`static String[]`
`_elements`
`static final String`
`Code`
The Code entity specifies a raw block of Java code.
`static final String`
`Doc`
The Doc entity specifies a documentation section.
`static final String`
`Value`
The Value entity specifies a single value in the set of allowed values for an Attribute.

## Constructor Summary

Constructors
Constructor
Description
`MetaDef()`

## Method Summary

Modifier and Type
Method
Description
`static Class`
`getXMLDefClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _elements

public static String[] _elements

### Doc

public static final String Doc
The Doc entity specifies a documentation section. The text contained in this element should be raw text or HTML used to document the object in which the Doc section appears.

See Also:
  - Constant Field Values

### Code

public static final String Code
The Code entity specifies a raw block of Java code. Each Class/Element becomes represented by a Java Class. Including a Code block inside a Class or Element will insert the code directly into the corresponding class. No checking is done on the code until it is complied later.

See Also:
  - Constant Field Values

### Value

public static final String Value
The Value entity specifies a single value in the set of allowed values for an Attribute. The value is specifies as text so that any special characters may appear.

See Also:
  - Constant Field Values

## Constructor Details

### MetaDef

public MetaDef()

## Method Details

### getXMLDefClass

public static Class getXMLDefClass()